# Uses of Class
javax.swing.tree.DefaultMutableTreeNode

Packages that use DefaultMutableTreeNode
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of DefaultMutableTreeNode in javax.swing

Subclasses of DefaultMutableTreeNode in javax.swing
Modifier and Type
Class
Description
`static class`
`JTree.DynamicUtilTreeNode`
`DynamicUtilTreeNode` can wrap vectors/hashtables/arrays/strings and create the appropriate children tree nodes as necessary.
Methods in javax.swing with parameters of type DefaultMutableTreeNode
Modifier and Type
Method
Description
`static void`
JTree.DynamicUtilTreeNode.`createChildren(DefaultMutableTreeNode parent, Object children)`
Adds to parent all the children in `children`.

## Uses of DefaultMutableTreeNode in javax.swing.tree

Methods in javax.swing.tree that return DefaultMutableTreeNode
Modifier and Type
Method
Description
`DefaultMutableTreeNode`
DefaultMutableTreeNode.`getFirstLeaf()`
Finds and returns the first leaf that is a descendant of this node -- either this node or its first child's first leaf.
`DefaultMutableTreeNode`
DefaultMutableTreeNode.`getLastLeaf()`
Finds and returns the last leaf that is a descendant of this node -- either this node or its last child's last leaf.
`DefaultMutableTreeNode`
DefaultMutableTreeNode.`getNextLeaf()`
Returns the leaf after this node or null if this node is the last leaf in the tree.
`DefaultMutableTreeNode`
DefaultMutableTreeNode.`getNextNode()`
Returns the node that follows this node in a preorder traversal of this node's tree.
`DefaultMutableTreeNode`
DefaultMutableTreeNode.`getNextSibling()`
Returns the next sibling of this node in the parent's children array.
`DefaultMutableTreeNode`
DefaultMutableTreeNode.`getPreviousLeaf()`
Returns the leaf before this node or null if this node is the first leaf in the tree.
`DefaultMutableTreeNode`
DefaultMutableTreeNode.`getPreviousNode()`
Returns the node that precedes this node in a preorder traversal of this node's tree.
`DefaultMutableTreeNode`
DefaultMutableTreeNode.`getPreviousSibling()`
Returns the previous sibling of this node in the parent's children array.
Methods in javax.swing.tree with parameters of type DefaultMutableTreeNode
Modifier and Type
Method
Description
`TreeNode`
DefaultMutableTreeNode.`getSharedAncestor(DefaultMutableTreeNode aNode)`
Returns the nearest common ancestor to this node and `aNode`.
`boolean`
DefaultMutableTreeNode.`isNodeDescendant(DefaultMutableTreeNode anotherNode)`
Returns true if `anotherNode` is a descendant of this node -- if it is this node, one of this node's children, or a descendant of one of this node's children.
`boolean`
DefaultMutableTreeNode.`isNodeRelated(DefaultMutableTreeNode aNode)`
Returns true if and only if `aNode` is in the same tree as this node.